import type { EquipmentViewModel } from "../equipment/equipment.models";

export interface DamageReportViewModel {
  id: string;
  reported: Date;
  status: string;
  done: boolean;
  description: string;
  affectedEquipmentId: string;
  affectedEquipment: EquipmentViewModel;
}

export interface CreateDamageReportViewModel {
  description: string;
  affectedEquipmentId: string;
}

export interface UpdateDamageReportViewModel {
  id: string;
  status: string;
  done: boolean;
}
